=== debian/changelog ===
hime (0.9.11+dfsg-2build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 16:12:24 +0300

hime (0.9.11+dfsg-2) unstable; urgency=medium

  * Use libayatana-appindicator (Closes: #956772)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Tue, 19 Jan 2021 16:50:41 +0800

hime (0.9.11+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.11+dfsg
  * debian/watch: Update source repo
  * d/patches/himelibdir: Repatch himelibdir
  * debian/control:
    - Change uploader mail address
    - Bump Standards-Version to 4.5.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 30 Dec 2020 20:49:14 +0800
