=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hime-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb|gh)\d*$//,repacksuffix=+dfsg \
  https://github.com/hime-ime/hime/tags .*/v?(\d\S+)\.tar\.gz
