## hime 0.9.11+git20231221.g1c15f1f+dfsg

=== debian/changelog ===
hime (0.9.11+git20231221.g1c15f1f+dfsg-2) unstable; urgency=medium

  * d/contorl: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Requires-Root.
  * Add hime-qt6-immodule (Closes: #1096097)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 25 Feb 2026 16:58:58 +0800

hime (0.9.11+git20231221.g1c15f1f+dfsg-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 0.9.11+git20231221.g1c15f1f+dfsg.
  * d/copyright: Fix array input method license.
  * Remove hime-gtk2-immodule (closes: #967526).
  * d/rules: Enable anthy, and chewing.
  * d/control: Update VCS-* to input method team.
  * d/salsa-ci.yml: Add Salsa CI config.
  * d/patches: Remove upstream applied patch.

  [ Andrew Lee (李健秋) ]
  * Import FTBFS fix patches from Alpine Linux.

  [ Dmitry Shachnev ]
  * Add a patch to use the standard libdir.
  * Use standard CFLAGS, but append -std=gnu17 (closes: #1096809).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 23 Feb 2026 19:27:24 +0800

hime (0.9.11+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/0004-use-bash-in-hime-user-setup.patch: Add patch
    to use bash explicitly in hime-user-setup script. (Closes: #985250)

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Dec 2023 20:26:55 -0500

hime (0.9.11+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/control: Drop build-dependency on GTK2 libayanata-appindicator
    support. (Closes: #1059009)
    + Note that the support to libayanata-appindicator is already broken
      with previous builds, and thus the removal of GTK2 appindicator
      support has no side effect at the moment.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Dec 2023 12:58:25 -0500
