=== debian/control ===
--- 
+++ 
@@ -1,26 +1,22 @@
 Source: hime
 Section: utils
-Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
-Standards-Version: 4.5.1
-Homepage: http://hime-ime.github.io
+Standards-Version: 4.7.3
+Homepage: https://hime-ime.github.io
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1~),
                libanthy-dev,
-               libayatana-indicator-dev,
                libayatana-indicator3-dev,
                libchewing3-dev,
-               libgtk2.0-dev (>= 2.20.0),
                libgtk-3-dev,
                libxtst-dev,
+               qt6-base-dev,
+               qt6-base-private-dev,
                qtbase5-private-dev,
-               qtchooser,
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/hime.git
-Vcs-Browser: https://salsa.debian.org/debian/hime
+Vcs-Git: https://salsa.debian.org/input-method-team/hime.git
+Vcs-Browser: https://salsa.debian.org/input-method-team/hime
 
 Package: hime
 Architecture: any
@@ -31,11 +27,9 @@
          hime-tables,
          libhime,
 Recommends: im-config,
-            hime-gtk2-immodule,
             hime-gtk3-immodule,
 Suggests: hime-anthy,
           hime-chewing,
-          hime-qt4-immodule,
           hime-qt5-immodule,
           gcin-voice,
 Description: GTK+ based input method for Chinese users
@@ -45,13 +39,14 @@
  To use HIME, the correspondence immodule packages also need to be installed.
  They are:
  .
-  * hime-gtk2-immodule for GTK2
   * hime-gtk3-immodule for GTK3
   * hime-qt5-immodule for Qt5
+  * hime-qt6-immodule for Qt6
 
 Package: hime-data
 Architecture: all
 Depends: ${misc:Depends},
+Multi-Arch: foreign
 Description: icons, locales and scripts for HIME
  HIME Input Method Editor is a input method platform, which is forked
  from the famous gcin input method.
@@ -80,20 +75,6 @@
  .
  This package contains library for HIME.
 
-Package: hime-gtk2-immodule
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         hime (>= ${source:Version}),
-Breaks: hime (<< 0.9.10+git20150821+dfsg-1),
-Replaces: hime (<< 0.9.10+git20150821+dfsg-1),
-Description: GTK2 input method module with HIME as backend
- HIME Input Method Editor is a input method platform, which is forked
- from the famous gcin input method.
- .
- This package is the GTK2 input method module (immodule) for HIME.
-
 Package: hime-gtk3-immodule
 Architecture: any
 Multi-Arch: same
@@ -117,6 +98,18 @@
  from the famous gcin input method.
  .
  This package is the Qt5 input method module (immodule) for HIME.
+
+Package: hime-qt6-immodule
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         hime (>= ${source:Version}),
+Description: Qt6 input method module with HIME as backend
+ HIME Input Method Editor is a input method platform, which is forked
+ from the famous gcin input method.
+ .
+ This package is the Qt6 input method module (immodule) for HIME.
 
 Package: hime-anthy
 Architecture: any
