=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_CFLAGS_MAINT_APPEND = -fcommon

CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

GTK3_IMMODULES := $(shell pkg-config --variable=libdir gtk+-3.0)/libgtk-3-0/gtk-query-immodules-3.0

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--enable-anthy \
		--enable-chewing \
		--with-qt6-moc-path="/usr/lib/qt6/libexec/moc" \
		--with-qt6-im-module-path="$(shell qtpaths6 --query QT_INSTALL_PLUGINS)/platforminputcontexts" \
		--with-gtk=3.0 \
		$(NULL)

	sed 's,%%GTK_QUERY_IMMODULES%%,$(GTK3_IMMODULES),g' $(CURDIR)/debian/hime-gtk-immodule.postinst.in > $(CURDIR)/debian/hime-gtk3-immodule.postinst
	sed 's,%%GTK_QUERY_IMMODULES%%,$(GTK3_IMMODULES),g' $(CURDIR)/debian/hime-gtk-immodule.postrm.in > $(CURDIR)/debian/hime-gtk3-immodule.postrm

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

	# workaround to move arch-dep tables to /usr/lib
	mv debian/tmp/usr/share/hime/table debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/hime/table
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/hime/table debian/tmp/usr/share/hime/table

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_missing:
	dh_missing \
		--exclude=usr/include/hime-im-client-attr.h \
		--exclude=usr/include/hime-im-client.h \
		--exclude=usr/share/doc/hime/ChangeLog
